View a single sub-user
curl --request GET \
--url https://core-proxy-service-w34nvoxnwq-uc.a.run.app/proxy_api/v1/basic/users/get/{username} \
--header 'Authorization: Bearer <token>'import requests
url = "https://core-proxy-service-w34nvoxnwq-uc.a.run.app/proxy_api/v1/basic/users/get/{username}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://core-proxy-service-w34nvoxnwq-uc.a.run.app/proxy_api/v1/basic/users/get/{username}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"username": "<string>",
"user_id": "<string>",
"password": "<string>",
"data_gb": 123,
"data_usage": 123,
"data_remaining": 123,
"status": "<string>",
"whitelisted_ips": [
"<string>"
],
"date_created": "2023-11-07T05:31:56Z"
}{
"statusCode": 400,
"message": "User <username or user_id> does not exist",
"error": "Bad Request"
}{
"statusCode": 403,
"message": "reseller not found",
"error": "Bad Request"
}Packetstream
View a single sub-user
Input username as parameter to view a single sub-user. Returns information about a single sub-user
GET
/
proxy_api
/
v1
/
basic
/
users
/
get
/
{username}
View a single sub-user
Authorizations
[just text field] Please enter token in following format: Bearer
Path Parameters
Response
sub-user fetched
username
user_id
Password
Data gb
Data gb used
Data gb remaining
User Status
Whitelisted IPs
Date Created
⌘I

